Page MenuHomePhabricator

Announce wikidata move to s8 to cloud-announce & update wiki docs
Closed, ResolvedPublic

Description

On 2018-01-09 the wikidatawiki database will move from its current home on the "s5" slice to a brand new "s8" slice. The wikidatawiki.{analytics,web}.db.svc.eqiad.wmflabs and wikidatawiki.labsdb DNS service names will be updated to point to the new slice host by system administrators. This change should not affect most users of the Wiki Replica servers.

Only applications that are connecting to s5.{analytics,web}.db.svc.eqiad.wmflabs or s5.labsdb and expecting the wikidatawiki_p database to be present will be affected. These applications should update their configuration to connect to the new "s8" slice instead.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 29 2017, 4:13 PM

Note there is not likely going to be things broken, as for now, all wikis are on all servers (and there will not bee physical movement); although we may need to add s8 to replication lag check.

There is likely to be a few minutes of lag on wikidatawiki, though.

Note there is not likely going to be things broken, as for now, all wikis are on all servers (and there will not bee physical movement); although we may need to add s8 to replication lag check.

Agreed, but the change may cause surprise breakage later if we need to split the slices apart for some reason.

Adding to the replag check is a good reminder. I'll try to remember to put that in the checklist of things along with the Cloud DNS updates.

As a reminder, this is happening in exactly 1 week from now.

bd808 claimed this task.Jan 3 2018, 5:33 AM
bd808 moved this task from Inbox to Clinic Duty on the cloud-services-team (Kanban) board.

This was successfully done earlier today. So believe this task is fine to be closed.

Mentioned in SAL (#wikimedia-operations) [2018-01-09T16:09:37Z] <bd808> data-services: added s8.{analytics,web}.db.svc.eqiad.wmflabs and aliases (T181643, T184179)

bd808 closed this task as Resolved.Jan 9 2018, 10:53 PM